.block-textcards {
    margin: 0;
    padding: var(--spacing-top) 0 var(--spacing-bottom) 0;
    position: relative;
    background: var(--bgcolor);

    .container {
        position: relative;
    }

    header {
        text-align: center;
        margin-bottom: 64px;

        h2 {
            font-size: var(--font-size-h3);
            
        }
    }

    .textcards {
        display: grid;
        grid-template-columns: repeat(1,1fr);
        gap: 60px;
    }

    .textcard {
        h3 {
            font-size: var(--font-size-h5);
            margin-bottom: 16px;
        }

        a {
            font-weight: 500;
            margin-top: 16px;
            display: flex;
            gap: 4px;
            align-items: center;
            text-decoration: 1px underline;
            text-underline-offset: 2px;

            &::after {
                content: "";
                display: block;
                mask-image: var(--icon-chevron);
                mask-size: contain;
                width: 16px;
                height: 16px;
                background-color: var(--color-text);
                transform: rotate(-90deg);
            }
        }
    }


    .media {
        position: relative;
        width: 100%;
        aspect-ratio: 13/8;
        overflow: hidden;
        border-radius: 12px;
        margin-bottom: 24px;

        canvas, iframe, img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            position: relative;
            z-index: 2;
        }

        iframe {
            background: transparent;
        }

        .poster {
            position: absolute;
            inset: 0;
            z-index: 1;
        }
    }

    @media screen and (min-width: 568px) {
        .textcard {
            display: grid;
            grid-template-columns: 250px minmax(300px, 1fr);
            gap: 20px;
            
        }
    }

    @media screen and (min-width: 1024px) {
        .textcard {
            display: block;
        }

        .textcards {
            grid-template-columns: repeat(3,1fr);
            gap: 80px;
        }

    }

}